Get Email Event By ID
curl --request GET \
--url https://api.hubapi.com/email/public/v1/events/{created}/{id}import requests
url = "https://api.hubapi.com/email/public/v1/events/{created}/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hubapi.com/email/public/v1/events/{created}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appId": 123,
"appName": "<string>",
"created": 123,
"emailCampaignId": 123,
"id": "<string>",
"portalId": 123,
"recipient": "<string>",
"type": "<string>",
"browser": {
"family": "<string>",
"name": "<string>",
"producer": "<string>",
"producerUrl": "<string>",
"type": "<string>",
"url": "<string>",
"version": [
"<string>"
]
},
"hmid": "<string>",
"location": {
"city": "<string>",
"country": "<string>",
"state": "<string>",
"latitude": 123,
"longitude": 123
},
"response": "<string>",
"sentBy": {
"created": 123,
"id": "<string>"
},
"sendId": "<string>",
"smtpId": "<string>",
"subject": "<string>",
"userAgent": "<string>"
}{
"category": "<string>",
"correlationId": "<string>",
"message": "<string>",
"subCategory": "<string>",
"errors": [
{
"message": "<string>",
"in": "<string>",
"code": "<string>",
"subCategory": "<string>",
"context": {}
}
],
"context": {},
"links": {}
}Events
Get Email Event By ID
GET
/
email
/
public
/
v1
/
events
/
{created}
/
{id}
Get Email Event By ID
Scope requirements
Scope requirements
Path Parameters
The creation timestamp (in milliseconds since epoch) of the event to return.
The unique ID of the event to return.
Response
Email event retrieved successfully
The application ID
The application name
The creation timestamp
The email campaign ID
The event ID
The portal ID
The recipient email address
The event type
Show child attributes
Show child attributes
The HubSpot message ID
Show child attributes
Show child attributes
The response message
Show child attributes
Show child attributes
The send ID
The SMTP ID
The email subject
The user agent
Last modified on March 27, 2026
Was this page helpful?